Generate authentication token.
curl --request POST \
--url https://{tenant}/api/sso \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"DisplayName": "",
"EmailAddress": "name@somewhere.com",
"ForSection": "dashboard",
"GroupID": "",
"OrgID": "588b4f0bb275ff0001cc7471",
"SSOOnlyForRegisteredUsers": false,
"UserNotAllowed": false
}
'import requests
url = "https://{tenant}/api/sso"
payload = {
"DisplayName": "",
"EmailAddress": "name@somewhere.com",
"ForSection": "dashboard",
"GroupID": "",
"OrgID": "588b4f0bb275ff0001cc7471",
"SSOOnlyForRegisteredUsers": False,
"UserNotAllowed": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
DisplayName: '',
EmailAddress: 'name@somewhere.com',
ForSection: 'dashboard',
GroupID: '',
OrgID: '588b4f0bb275ff0001cc7471',
SSOOnlyForRegisteredUsers: false,
UserNotAllowed: false
})
};
fetch('https://{tenant}/api/sso', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Message": "SSO Nonce created.",
"Meta": "YTNiOGUzZjctYWZkYi00OTNhLTYwODItZTAzMDI3MjM0OTEw",
"Status": "OK"
}{
"Message": "Request body malformed.",
"Meta": null,
"Status": "Error"
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "SSO not enabled for org.",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to read response body, body empty.",
"Meta": null,
"Status": "Error"
}Single Sign On
Generate authentication token.
The Dashboard exposes the /api/sso Dashboard API which allows you to generate a temporary authentication token, valid for 60 seconds.
POST
/
api
/
sso
Generate authentication token.
Authorizations
The Tyk Dashboard API Access Credentials
Body
application/json
Was this page helpful?
⌘I